org.mariadb.jdbc.internal.com.send.parameters

## Interface ParameterHolder

All Known Implementing Classes:
  BigDecimalParameter, BooleanParameter, ByteArrayParameter, ByteParameter, DateParameter, DefaultParameter, DoubleParameter, FloatParameter, IntParameter, LocalTimeParameter, LongParameter, NullParameter, OffsetTimeParameter, ReaderParameter, SerializableParameter, ShortParameter, StreamParameter, StringParameter, TimeParameter, TimestampParameter, ZonedDateTimeParameter

    public interface ParameterHolder

### Field Summary

Fields
`static byte[]` `BINARY_INTRODUCER`
`static byte` `QUOTE`

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getApproximateTextProtocolLength()`
`ColumnType` `getColumnType()`
`boolean` `isLongData()`
`boolean` `isNullData()`
`String` `toString()`
`void` `writeBinary(PacketOutputStream pos)`
`void` `writeTo(PacketOutputStream os)` Write parameter value.

### Field Detail

#### BINARY_INTRODUCER

    static final byte[] BINARY_INTRODUCER

#### QUOTE

    static final byte QUOTE

See Also:
  Constant Field Values

### Method Detail

#### writeTo

    void writeTo(PacketOutputStream os)
          throws IOException

Write parameter value.

Parameters:
  `os` - the stream to write to
Throws:
  `IOException` - when something goes wrong

#### writeBinary

    void writeBinary(PacketOutputStream pos)
              throws IOException

Throws:
  `IOException`

#### getApproximateTextProtocolLength

    long getApproximateTextProtocolLength()
                                   throws IOException

Throws:
  `IOException`

#### toString

    String toString()

Overrides:
  `toString` in class `Object`

#### isNullData

    boolean isNullData()

#### getColumnType

    ColumnType getColumnType()

#### isLongData

    boolean isLongData()